Re: [gnome-db]Problem compiling with oracle

On 19 Jun 2001 18:16:17 -0400, Gonzalo Odiard wrote:
> Thanks.
> This work ok:
> s% ORACLE_LIBS@%-L/home/oracle/Home817/lib -lm -ldl -lserver8 -lclient8 
> 	-lcommon8 -lvsn8 -lagent8 -lmm -lclntsh -lslax8 -lwtc8                     
> 	-lsql8 -lcore8 -lpsa8%
ok, applied to CVS

> After compiling i run gda-test and return:
> opening connection...
> gda-connection.c: 76: gda_connection_real_error called
> Could not open CORBA factory
> Is this a bad configuration?
yes, make sure the *.oaf files installed by libgda/gnome-db are in the
same directory than OAF itself (that's $(oaf_install_dir)/share/oaf).
Make sure to copy the files from libgda/gnome-db to that directory.

> Trying compile gnome-db 0.2.10 I have the error
> gcc -g -O2 -o .libs/gnomedb-fe gnomedb-fe-callbacks.o gnomedb-fe-config.o gnomedb-fe-main.o gnomedb-fe-wizard.o gnomedb-fe-workarea.o -rdynamic -rdynamic -rdynamic  -L/usr/local/lib /usr/local/lib/ /usr/local/lib/ -L/usr/lib /usr/lib/ -lpthread -L/usr/X11R6/lib -ldl -lXi -lXext -lX11 -lm -lz /usr/lib/ -lnsl -lm -lnsl -lm /usr/lib/ /usr/lib/ /usr/lib/ /usr/lib/ /usr/lib/ /usr/lib/ -lnsl /usr/lib/ /usr/lib/ /usr/lib/ /usr/lib/ /usr/lib/ -lSM -lICE /usr/lib/ /usr/lib/ /usr/lib/ -laudiofile -ldb1 /usr/lib/ /usr/lib/ /usr/lib/ /usr/lib/ /usr/lib/ -ldl -lXi -lXext -lX11 -lm /usr/lib/ -lz /usr/lib/perl5/5.00503/i386-linux/auto/DynaLoader/DynaLoader.a -L/usr/lib/perl5/5.00503/i386-linux/CORE -lperl -lnsl -ldl -lm -lc -lposix -lcrypt ../lib/.libs/ -Wl,--rpath -Wl,/usr/local/lib
> gnomedb-fe-callbacks.o: In function `fe_run_perl_cb':
> /home/publico/soft/gnome-db/gnome-db-0.2.10/frontend/gnomedb-fe-callbacks.c:171: undefined reference to `fe_perl_run'
> collect2: ld returned 1 exit status
> make[2]: *** [gnomedb-fe] Error 1
> make[2]: Leaving directory `/home/publico/soft/gnome-db/gnome-db-0.2.10/frontend'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/home/publico/soft/gnome-db/gnome-db-0.2.10'
> make: *** [all-recursive-am] Error 2
> I need any perl-XX  package? I can disable this?
yes, libperl-dev (that's the name in Debian). But the problem is that
the Perl detection was not successful, since it shouldn't be enabled if
you don't have this package. Anyway, while I fix it, just #undef
HAVE_PERL in the top gnome-db's config.h file


Rodrigo Moya <rodrigo gnome-db org> - <rodrigo ximian com> -

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]